Package com.sas.lsaf.clinical.dictionary

## Class DictionaryDescriptor

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.clinical.dictionary.DictionaryDescriptor

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class DictionaryDescriptor
      extends AbstractIdentifiable

  A lightweight version of the dictionary object.
  Since:
    2.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DictionaryDescriptor​(java.lang.String id, java.lang.String name, java.lang.String description, java.lang.String standard, boolean isCheckedOut, java.lang.String checkedOutBy, java.util.Date checkedOutDate, java.lang.String createdBy, java.util.Date created, java.lang.String lastModifiedBy, java.util.Date lastModified, java.lang.String releaseDate, EntityState state, EntityState publishedState, EntityStatus dictionaryStatus, java.lang.String currentVersion, int numStudiesAssociated)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCheckedOutBy()` | Gets the userId of the user who checked out the dictionary.
    `java.util.Date` | `getCheckedOutDate()` | Gets the date on which the dictionary was checked out.
    `java.util.Date` | `getCreated()` | Gets the date on which the dictionary was created.
    `java.lang.String` | `getCreatedBy()` | Gets the userId of the user who created the dictionary.
    `java.lang.String` | `getCurrentVersion()` | Gets the current published version of the dictionary.
    `java.lang.String` | `getDescription()` | Gets the description of the dictionary.
    `EntityStatus` | `getDictionaryStatus()` | Gets the status of the dictionary.
    `java.util.Date` | `getLastModified()` | Gets the date on which the dictionary was last modified.
    `java.lang.String` | `getLastModifiedBy()` | Gets the userId of the user who last modified the dictionary.
    `java.lang.String` | `getName()` | Gets the name of the dictionary.
    `int` | `getNumStudiesAssociated()` | Gets the number of studies that are associated with the dictionary.
    `EntityState` | `getPublishedState()` | Gets the published state of the dictionary, if it has been published.
    `java.lang.String` | `getReleaseDate()` | Gets the date on which the dictionary was released.
    `java.lang.String` | `getStandard()` | Gets the standard that the dictionary represents.
    `EntityState` | `getState()` | Gets the state of the dictionary.
    `int` | `hashCode()` |
    `boolean` | `isCheckedOut()` | Indicates whether the dictionary is checked out.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DictionaryDescriptor

          public DictionaryDescriptor​(java.lang.String id,
                                      java.lang.String name,
                                      java.lang.String description,
                                      java.lang.String standard,
                                      boolean isCheckedOut,
                                      java.lang.String checkedOutBy,
                                      java.util.Date checkedOutDate,
                                      java.lang.String createdBy,
                                      java.util.Date created,
                                      java.lang.String lastModifiedBy,
                                      java.util.Date lastModified,
                                      java.lang.String releaseDate,
                                      EntityState state,
                                      EntityState publishedState,
                                      EntityStatus dictionaryStatus,
                                      java.lang.String currentVersion,
                                      int numStudiesAssociated)

      It is not intended or recommended that the consumer of the API construct these objects. They should only deal with the dictionary descriptors that are returned by the API.
      Parameters:
        `id` - The identifier of the dictionary.
        `name` - The name of the dictionary.
        `description` - The description of the dictionary.
        `standard` - The standard that the dictionary represents.
        `isCheckedOut` - Indicates whether the dictionary is checked out.
        `checkedOutBy` - The userId of the user who checked out the dictionary.
        `checkedOutDate` - The date on which the dictionary was checked out.
        `createdBy` - The userId of the user who created the dictionary.
        `created` - The date on which the dictionary was created.
        `lastModifiedBy` - The userId of the user who last modified the dictionary.
        `lastModified` - The date on which the dictionary was modified.
        `releaseDate` - The date on which the dictionary was released.
        `state` - The state of the dictionary.
        `publishedState` - The published state of the dictionary, if it has been published.
        `dictionaryStatus` - The status of the dictionary.
        `currentVersion` - The current published version of the dictionary.
        `numStudiesAssociated` - The number of studies that are associated with the dictionary.

  - ### Method Detail

    - #### getNumStudiesAssociated

          public int getNumStudiesAssociated()

      Gets the number of studies that are associated with the dictionary.
      Returns:
        The number of studies that are associated with the dictionary.

    - #### getName

          public java.lang.String getName()

      Gets the name of the dictionary.
      Returns:
        The name of the dictionary.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the dictionary.
      Returns:
        The description of the dictionary.

    - #### getStandard

          public java.lang.String getStandard()

      Gets the standard that the dictionary represents.
      Returns:
        The standard that the dictionary represents.

    - #### getCreatedBy

          public java.lang.String getCreatedBy()

      Gets the userId of the user who created the dictionary.
      Returns:
        The userId of the user who created the dictionary.

    - #### getCreated

          public java.util.Date getCreated()

      Gets the date on which the dictionary was created.
      Returns:
        The date on which the dictionary was created.

    - #### isCheckedOut

          public boolean isCheckedOut()

      Indicates whether the dictionary is checked out.
      Returns:
        True, if the dictionary is checked out.

    - #### getCheckedOutBy

          public java.lang.String getCheckedOutBy()

      Gets the userId of the user who checked out the dictionary.
      Returns:
        The userId of the user who checked out the dictionary.

    - #### getCheckedOutDate

          public java.util.Date getCheckedOutDate()

      Gets the date on which the dictionary was checked out.
      Returns:
        The date on which the dictionary was checked out.

    - #### getState

          public EntityState getState()

      Gets the state of the dictionary.
      Returns:
        The state of the dictionary.

    - #### getPublishedState

          public EntityState getPublishedState()

      Gets the published state of the dictionary, if it has been published. Otherwise, null.
      Returns:
        The published state of the dictionary, if it has been published.

    - #### getDictionaryStatus

          public EntityStatus getDictionaryStatus()

      Gets the status of the dictionary.
      Returns:
        The status of the dictionary.

    - #### getCurrentVersion

          public java.lang.String getCurrentVersion()

      Gets the current published version of the dictionary. Returns 0, if the dictionary has not been published.
      Returns:
        The current published version of the dictionary. Returns 0, if the dictionary has not been published.

    - #### getLastModified

          public java.util.Date getLastModified()

      Gets the date on which the dictionary was last modified.
      Returns:
        The date on which the dictionary was last modified.

    - #### getLastModifiedBy

          public java.lang.String getLastModifiedBy()

      Gets the userId of the user who last modified the dictionary.
      Returns:
        The userId of the user who last modified the dictionary.

    - #### getReleaseDate

          public java.lang.String getReleaseDate()

      Gets the date on which the dictionary was released.
      Returns:
        The date on which the dictionary was released.

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`